import React from 'react'
import Zmage from 'react-zmage'

function body(props) {
  return (
    <>
      <Zmage
        style={props.style}
        src={props.src}
        // alt="0"
        backdrop="linear-gradient(90deg, rgba(86,81,81,0.7) 0%, rgba(86,81,81, 0.7) 100%)"
        radius={5}
        edge={20}
        animate={{
          flip: 'fade',
        }}
        controller={{
          // 关闭按钮
          close: false,
          // 缩放按钮
          zoom: false,
          // 下载按钮
          download: false,
          // 旋转按钮
          rotate: false,
          // 翻页按钮
          flip: true,
          // 多页指示
          pagination: true,
        }}
      />
    </>
  )
}

export default body
